<?php
/**
 * Clase Base Bean para BaseCrTelefonoOperadorBN
 *
 * @package    Sedapal
 * @subpackage BaseCrTelefonoOperadorBN
 * @author     Willy
 * @version    SVN:: BaseCrTelefonoOperadorBN.class.php,v 1.1 2014-10-30 10:17:37 william.taype Exp $
 */
abstract class BaseCrTelefonoOperadorBN
{
  protected $IdOperador;
  protected $Descripcion;
  protected $Estado;
  protected $Logo;
  protected $Mensaje;
  protected $Error;

  public function getIdOperador(){
    return $this->IdOperador;
  }
  public function setIdOperador($v1){
    $this->IdOperador = $v1; 
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v1){
    $this->Descripcion = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getLogo(){
    return $this->Logo;
  }
  public function setLogo($v1){
    $this->Logo = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_telefono_operadorBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_telefono_operadorRs )
  {
    $o_CrTelefonoOperadorBN = new CrTelefonoOperadorBN();
    $o_CrTelefonoOperadorBN->setIdOperador( $o_Cr_telefono_operadorRs['IdOperador'] );
    $o_CrTelefonoOperadorBN->setDescripcion( $o_Cr_telefono_operadorRs['Descripcion'] );
    $o_CrTelefonoOperadorBN->setEstado( $o_Cr_telefono_operadorRs['Estado'] );
    $o_CrTelefonoOperadorBN->setLogo( $o_Cr_telefono_operadorRs['Logo'] );
    return $o_CrTelefonoOperadorBN;
  }
}